Clients

Gets Client by Owner Id

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Query parameters
ownerIdstring · uuidOptional
searchTextstringOptional
$filterstringOptional

Filter results. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#filter

$selectstringOptional

Request a limited set of properties. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#select

$orderbystringOptional
$skipintegerOptional

The number of results to skip. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#topskip

$topintegerOptional

The number of results to return. Defaults to 50. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#topskip

Responses
chevron-right
200

Success

externalIdstring · nullableOptional
sourcestring · nullableOptional
ownerIdstring · uuid · nullableOptional
referredByIdstring · uuid · nullableOptional
emailstring · min: 1RequiredExample: [email protected]Pattern: [a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
homePhonestring · nullableOptional
workPhonestring · nullableOptional
mobilePhonestring · nullableOptional
faxstring · nullableOptional
isSilencedbooleanOptional
isArchivedbooleanOptional
createdOnstring · date-timeRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
ficointeger · int32 · nullableOptional
totalIncomenumber · double · nullableOptional
totalDebtPaymentsnumber · double · nullableOptional
firstTimeBuyerboolean · nullableOptional
loginTokenstring · nullableOptional
idstring · uuidRead-onlyOptional
firstNamestring · min: 1Required
lastNamestring · min: 1Required
get
/clients
200

Success

Creates a Client

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Body
externalIdstring · nullableOptional
sourcestring · nullableOptional
ownerIdstring · uuid · nullableOptional
referredByIdstring · uuid · nullableOptional
emailstring · min: 1RequiredExample: [email protected]Pattern: [a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
homePhonestring · nullableOptional
workPhonestring · nullableOptional
mobilePhonestring · nullableOptional
faxstring · nullableOptional
isSilencedbooleanOptional
isArchivedbooleanOptional
createdOnstring · date-timeRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
ficointeger · int32 · nullableOptional
totalIncomenumber · double · nullableOptional
totalDebtPaymentsnumber · double · nullableOptional
firstTimeBuyerboolean · nullableOptional
loginTokenstring · nullableOptional
idstring · uuidRead-onlyOptional
firstNamestring · min: 1Required
lastNamestring · min: 1Required
Responses
chevron-right
200

Success

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/clients
200

Success

Delete all Clients

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Responses
delete
/clients
405

Operation is not currently supported on this resource

No content

Gets Client by Id

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

GUID of client to read

Responses
chevron-right
200

Client with Id found

externalIdstring · nullableOptional
sourcestring · nullableOptional
ownerIdstring · uuid · nullableOptional
referredByIdstring · uuid · nullableOptional
emailstring · min: 1RequiredExample: [email protected]Pattern: [a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
homePhonestring · nullableOptional
workPhonestring · nullableOptional
mobilePhonestring · nullableOptional
faxstring · nullableOptional
isSilencedbooleanOptional
isArchivedbooleanOptional
createdOnstring · date-timeRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
ficointeger · int32 · nullableOptional
totalIncomenumber · double · nullableOptional
totalDebtPaymentsnumber · double · nullableOptional
firstTimeBuyerboolean · nullableOptional
loginTokenstring · nullableOptional
idstring · uuidRead-onlyOptional
firstNamestring · min: 1Required
lastNamestring · min: 1Required
get
/clients/{id}

Replaces a Client

put
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired
Body
externalIdstring · nullableOptional
sourcestring · nullableOptional
ownerIdstring · uuid · nullableOptional
referredByIdstring · uuid · nullableOptional
emailstring · min: 1RequiredExample: [email protected]Pattern: [a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
homePhonestring · nullableOptional
workPhonestring · nullableOptional
mobilePhonestring · nullableOptional
faxstring · nullableOptional
isSilencedbooleanOptional
isArchivedbooleanOptional
createdOnstring · date-timeRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
ficointeger · int32 · nullableOptional
totalIncomenumber · double · nullableOptional
totalDebtPaymentsnumber · double · nullableOptional
firstTimeBuyerboolean · nullableOptional
loginTokenstring · nullableOptional
idstring · uuidRead-onlyOptional
firstNamestring · min: 1Required
lastNamestring · min: 1Required
Responses
chevron-right
200

Success

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

put
/clients/{id}
200

Success

Deletes Client by Id

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

Client GUID

Responses
delete
/clients/{id}

No content

Updates a Client

patch
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired
Body
externalIdstring · nullableOptional
sourcestring · nullableOptional
ownerIdstring · uuid · nullableOptional
referredByIdstring · uuid · nullableOptional
emailstring · min: 1RequiredExample: [email protected]Pattern: [a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
homePhonestring · nullableOptional
workPhonestring · nullableOptional
mobilePhonestring · nullableOptional
faxstring · nullableOptional
isSilencedbooleanOptional
isArchivedbooleanOptional
createdOnstring · date-timeRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
ficointeger · int32 · nullableOptional
totalIncomenumber · double · nullableOptional
totalDebtPaymentsnumber · double · nullableOptional
firstTimeBuyerboolean · nullableOptional
loginTokenstring · nullableOptional
idstring · uuidRead-onlyOptional
firstNamestring · min: 1Required
lastNamestring · min: 1Required
Responses
chevron-right
200

Success

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

patch
/clients/{id}
200

Success

Last updated